{ inputs, ... }: {
  config.flake.factory.autologin = username: {
    imports = with inputs.self.modules.nixos; [
    ];
    services.getty.autologinUser = username;

    home-manager.sharedModules = [
      inputs.self.modules.homeManager.autologin
    ];
  };

  config.flake.modules.homeManager.autologin = {
    imports = with inputs.self.modules.homeManager; [
    ];

    programs.zsh.profileExtra = ''
      if [ -z "$WAYLAND_DISPLAY" ] && [ "$XDG_VTNR" = 1 ]; then
      	exec start-hyprland
      fi
    '';
  };
}
